#!/bin/sh
echo ""
echo ""
URL=http://apt.ceibal.edu.uy/chrome
DIR=.dir_tmp

cat << EOF > install.sh
#!/bin/sh
MACHINE=\$(uname -m)
CODENAME=\$(lsb_release -c -s)
if [ "\$MACHINE" = "x86_64" ]; then
    if [ "\$CODENAME" = "precise" ]; then
        PKG=google-chrome-stable_48.0.2564.116-1_amd64.deb
    else
        PKG=google-chrome-stable_current_amd64.deb
    fi
else
    PKG=google-chrome-stable_48.0.2564.116-1_i386.deb
fi

(
echo "0"
echo "# Descargando paquete para Chrome"
wget "${URL}/\${PKG}"
echo "30"
echo "# Instalando dependencias de Chrome"
sudo rm -rf /etc/apt/sources.list.d/google-chrome.list
sudo apt-get update -y
sudo apt-get install -y gconf-service libasound2 libatk1.0-0 libcairo2 libcups2 libexpat1 libfontconfig1 libfreetype6 libnspr4 libnss3 libxcomposite1 libxcursor1 libxdamage1 libxext6 libxfixes3 libxi6 libxrandr2 libxrender1 libxss1 libxtst6 ca-certificates fonts-liberation libappindicator1 libcurl3 lsb-base xdg-utils wget
echo "60"
echo "# Instalando Chrome"
sudo dpkg -i \${PKG}
cd ..
sudo rm -rf ../${DIR}
echo "100"
echo "# Instalacion finalizada"
) | 
zenity --progress \
    --title="Instalacion de Chrome" \
    --text="Iniciando la instalacion." \
    --auto-close \
    --auto-kill
(( $? != 0 )) && zenity --error --text="Error in zenity command."
EOF
chmod +x install.sh
mkdir $DIR
cp $PKG install.sh $DIR

sh makeself/makeself.sh --notemp ${DIR} chrome_instalador.run "Chrome-installer" ./install.sh
rm -rf $DIR

echo "Instalador creado !!"
echo ""
echo ""
